Skip to main content
`Ctrl`+`K`

# DMPlexCreateGmshFromFile

Create a `DMPLEX` mesh from a Gmsh file

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateGmshFromFile(MPI_Comm comm, const char filename[], PetscBool interpolate, DM *dm)

## Input Parameters

- comm - The MPI communicator

- filename - Name of the Gmsh file

- interpolate - Create faces and edges in the mesh

## Output Parameter

- dm - The `DM` object representing the mesh

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreateFromFile()`, `DMPlexCreateGmsh()`, `DMPlexCreate()`

## Level

beginner

## Location

src/dm/impls/plex/plexgmsh.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages